############ SERVER CONFIG #################
# Server
[Interface]
Address = 10.8.0.1
ListenPort = 51820
PrivateKey = privserver
# Server end

# client 1
[Peer]
PublicKey = client1
PresharedKey = sss
AllowedIPs = 10.8.0.3/32
# client 1 end

# client 2
[Peer]
PublicKey = client2
AllowedIPs = 10.8.0.4/32
# client 2 end

###################### CLIENT 1 CONFIG ############################

[Interface]
PrivateKey = privcl1
Address = 10.8.0.3/32

[Peer]
PublicKey = pubserv
PresharedKey = sss
AllowedIPs = 10.8.0.0/24
Endpoint = xxx:51820 # public ip address of the server
PersistentKeepalive = 25

###################### CLIENT 2 CONFIG ############################

[Interface]
PrivateKey = privcl2
Address =  10.8.0.4/32

[Peer]
PublicKey = pubserv
AllowedIPs = 10.8.0.0/24
Endpoint = xxx:51820 # public ip address of the server
PersistentKeepalive = 25

##################################################